Subject: RE: Terms used in rules-update-07

From: John C Klensin <[email-masked]>
Date: Sun, 30 Jul 2006 18:34:56 -0400

--On Sunday, July 30, 2006 2:09 PM -0400 "Contreras, Jorge" 
<[email-masked]> wrote:

>> Jorge has assured me in the past that any document that's
>> approved in the IETF (i.e. by the IESG) is part of the IETF
>> standards process, even if it isn't on the IETF Standards
>> Track. This  doesn't apply
>> to documents from other sources (e.g. IRTF or Independent
>> Submissions.)
>
> That's correct.

It seems to me that, if we are going to start relying on that 
distinction in any substantive way, we are going to need to make 
it very clear which documents are which.  At present, as far as 
the RFCs themselves, there is no textual distinction between 
IESG-approved Informational documents and independent 
submissions... unless one knows what the exact distinctions are 
in boilerplate in a given month and then does the detective 
work.

Worse, there is a subtle interaction between this question and 
the discussions about the RFC Editor RFP, the status of 
independent submissions, etc.  To briefly repeat what has been 
said elsewhere, our tradition -- I thought firmly established 
when the current management model was put in place -- is that 
the IESG does not get to determine what the community thinks: 
the role of the IESG is steering, management, and interpretation 
of community consensus and conclusions after the community has 
been asked.  The text in 2026 reinforces this: the idea of an 
"AD-sponsored" informational or experimental document that does 
not originate as a WG product is entirely the invention of the 
IESG: there is no place in, or authority for, such documents in 
our formal procedures.  If 2026 is to be taken seriously, the 
_only_ RFCs that are IETF products are standards track either 
standards track or products of WG efforts.

Remember that, under the "AD-sponsored" theory of informational 
or experimental RFCs, the IESG is not required to manage a Last 
Call on those documents, announce the action it is considering 
taking, or involve the IETF community (or seek its consensus) in 
any way beyond the simple fact of publication as an 
Internet-Draft.  The AD sponsorship model has seemed relatively 
harmless to me, and possibly beneficial, but, if those documents 
are part of the standards track, we have a whole series of 
issues about announcements, possibility for appeal, and other 
appropriate process that, it seems to me, require modifications 
to 2026, approval of the ISOC Board and insurance carriers, etc.

I don't see how "IESG approved" can be used to substitute for 
"IETF produced" unless we are going to go back and modify 2026 
to extend the IESG's authority to decide things without any 
contact with the community other than the wisdom and intuitions 
of the IESG membership.  Jorge, it would be different if you 
said "any document that went through IETF Last Call and was 
subsequently approved" was an IETF document.  But I just don't 
think there is and foundation for equating "IESG approved" with 
"approved in the IETF" and hence part of the standards process. 
It actually seems to me that such an interpretation is fraught 
with dangers.

      john

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 31 Jul 2006 11:23:34 +0200

> I don't see how "IESG approved" can be used to substitute for "IETF 
> produced" unless we are going to go back and modify 2026 to extend the 
> IESG's authority to decide things without any contact with the community 
> other than the wisdom and intuitions of the IESG membership.  Jorge, it 
> would be different if you said "any document that went through IETF Last 
> Call and was subsequently approved" was an IETF document.  But I just 
> don't think there is and foundation for equating "IESG approved" with 
> "approved in the IETF" and hence part of the standards process. It 
> actually seems to me that such an interpretation is fraught with dangers.

Frankly I think this is splitting hairs. IESG approval is the last stage
prior to RFC publication for documents originating in the IETF (barring
a successful appeal). So it's the externally visible sign that the IETF
process has completed for a given document.

    Brian

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 31 Jul 2006 10:57:16 +0200

John C Klensin wrote:
>
> Remember that, under the "AD-sponsored" theory of informational or 
> experimental RFCs, the IESG is not required to manage a Last Call on 
> those documents, announce the action it is considering taking, or 
> involve the IETF community (or seek its consensus) in any way beyond 
> the simple fact of publication as an Internet-Draft.  The AD 
> sponsorship model has seemed relatively harmless to me, and possibly 
> beneficial, but, if those documents are part of the standards track, 
> we have a whole series of issues about announcements, possibility for 
> appeal, and other appropriate process that, it seems to me, require 
> modifications to 2026, approval of the ISOC Board and insurance 
> carriers, etc.
>
> IESG's authority to decide things without any contact with the 
> community other than the wisdom and intuitions of the IESG 
> membership.  Jorge, it would be different if you said "any document 
> that went through IETF Last Call and was subsequently approved" was an 
> IETF document.  But I just don't think there is and foundation for 
> equating "IESG approved" with "approved in the IETF" and hence part of 
> the standards process. It actually seems to me that such an 
> interpretation is fraught with dangers. 
John,

from my perspective, your argument says that it's impossible for the 
IESG to consider the opinions of the community on a document without a 
Last Call.

I don't buy that.

Stuff is being produced in the IETF *all the time* through mechanisms 
that may or may not include a Last Call, and may or may not include WG 
processing.

Limiting the "product of the IETF" label to stuff that is produced by 
exactly two mechanisms - IETF Last Call and IETF WG consensus call - 
will, to my mind, be harmful.
And if we do not want to declare and police such a restrictive label, I 
don't see any reason to declare "AD sponsored" documents out of scope.

                                Harald

---

From: John C Klensin <[email-masked]>
Date: Mon, 31 Jul 2006 09:46:51 -0400

--On Monday, 31 July, 2006 10:57 +0200 Harald Alvestrand
<[email-masked]> wrote:

> John C Klensin wrote:
>> 
>> Remember that, under the "AD-sponsored" theory of
>> informational or  experimental RFCs, the IESG is not required
>> to manage a Last Call on  those documents, announce the
>> action it is considering taking, or  involve the IETF
>>...
>> "IETF  produced" unless we are going to go back and modify
>> 2026 to extend the  IESG's authority to decide things without
>> any contact with the  community other than the wisdom and
>> intuitions of the IESG  membership.  Jorge, it would be
>>...

> John,
> 
> from my perspective, your argument says that it's impossible
> for the IESG to consider the opinions of the community on a
> document without a Last Call.
> 
> I don't buy that.
> 
> Stuff is being produced in the IETF *all the time* through
> mechanisms that may or may not include a Last Call, and may or
> may not include WG processing.
> 
> Limiting the "product of the IETF" label to stuff that is
> produced by exactly two mechanisms - IETF Last Call and IETF
> WG consensus call - will, to my mind, be harmful.
> And if we do not want to declare and police such a restrictive
> label, I don't see any reason to declare "AD sponsored"
> documents out of scope.

Harald,

First, Jorge's clarification takes this particular debate
outside the scope of this conversation/ WG so we don't need to
settle it to make a decision on rules-update-07 (although I
think it may indicate that document needs some clarification and
that, in turn, might argue against its approval at this point).

As to the more general topic, if the IETF is going to preserve
and enhance its reputation as a body that produces consensus
standards based on solid, community-based engineering, it seems
to me that documents cannot be produced as "IETF approved" and
statements cannot be made that include equivalents of "the IETF
says" or "the IETF believes" without at least some serious
attempt at giving the community a chance to review and provide
input into a decision (without having to rely on appeals as a
review mechanism).  It is clear to me that the path 

	* someone produces an I-D
	* the author gets an AD, perhaps an AD with whom the
	author has a special relationship such as employment by
	the same company or working on similar projects, to
	"sponsor" the document.
	* the IESG reviews the document internally, with no
	announcement to the community that it is doing so (I
	don't consider inclusion in an IESG agenda under
	"individual submissions via AD" to be such an
	announcement)
	* the IESG passes the document to the RFC Editor with a
	requirement that it be published.
	* no formal announcement is made to the community that
	the document was under consideration, or approved, until
	the RFC is published.

does not meet the test of a serious attempt at giving the
community a chance to review and provide input.   Now, contrast
this with a WG output in which there is a charter that lists the
relevant document as an output.  There is at least notice to the
community that the work is being undertaken.  There is potential
for discussion within the WG and most such documents are
actually discussed.  One would hope that, if there is
significant dissent --or significant indifference-- within the
WG, someone would notice that and at least raise it with the AD,
perhaps forcefully.  So claiming that such a document is an IETF
product is at least plausible.

There are lots of cases in between.  Indeed, I believe that "on
the WG charter, produced as a WG-identified document, mentioned
in an IETF meeting or two, but never really discussed in the WG"
would fall in between.   If you have a model for differentiating
those from developmentand passage through the IESG without
community notice but without relying on IETF or WG Last Call,
please tell us, preferably in the form of an I-D that modifies
2026, what that mechanism might be.

FWIW, I see at least one way that the above goals could be
accomplished without requiring that the IESG issue and monitor
Last Calls.  The RFC Editor could, in principle, post notices
that documents that were not the result of IETF (or perhaps WG)
Last Call were under final review for RFC publication and
allowing a short window for comments.  Some of us believe that
should be done for independent submissions anyway, so that would
be a small extension to that idea.  Of course, that would
require giving the RFC Editor the authority to either reject an
AD-Sponsored document or to bounce it back to the IESG and
insist on a Last Call if there were significant dissent... but
it would at least avoid adding to the burden of Last Calls for
non-controversial cases, and would not, I believe, require any
modifications to 2026.

     john

---

From: Ted Hardie <[email-masked]>
Date: Mon, 31 Jul 2006 10:39:02 -0700

At 9:46 AM -0400 7/31/06, John C Klensin wrote:
>  It is clear to me that the path
>

Well, first let me say that ADs who sponsor documents are already
concerned about perceived conflict of interest, so your second bullet
is pretty unlikely for "employment by the same company" unless
their relationship within the company is quite distant and the topic
one where AD sponsorship is common (Even in some of those cases,
co-ADs are asked to consider the document instead).

And that raises my second issue:  we have lots of history that says
keeping working groups around forever creates problems, so there
are topic areas where the IETF work product is the foundation of
the industry use of a protocol but there is no active WG.  What an
AD should look for in community review of a document in some of those
cases is well defined (in the URN NID case, for example, explicit review is called
out by the urn-nid list; media type review, explicit review is called
for by ietf-types list, etc.).  In others, you have the mailing list of the closed
working group to go on (e.g. LDAPEXT for LDAP extensions) and potentially
a directorate (LDAP has one such).  For standards-track document, ADs
should (and I believe usually do) consult the relevant lists (even if there
are no WGs) as well as putting out an IETF Last Call.

We could, I believe, explicitly require an IETF Last Call for all Informational
and Experimental documents that are AD sponsored; at the moment, it is
a judgement call by the AD based on what level of community review
something needs or has already received.  If we go that route, though, I
think we have to be pretty aware of what it means for review cycles
and delay.   

We've wandered off topic for this WG, though, and I suggest continuing in
private email or on [email-masked].
			regards,
				Ted

---

From: John C Klensin <[email-masked]>
Date: Mon, 31 Jul 2006 14:44:14 -0400

--On Monday, 31 July, 2006 10:39 -0700 Ted Hardie
<[email-masked]> wrote:

> Well, first let me say that ADs who sponsor documents are
> already concerned about perceived conflict of interest, so
> your second bullet is pretty unlikely for "employment by the
> same company" unless their relationship within the company is
> quite distant and the topic one where AD sponsorship is common
> (Even in some of those cases, co-ADs are asked to consider the
> document instead).

Ted, my point was not that this happened.  My general experience
with WG integrity has been between "excellent" and "beyond all
reasonable expectations".  The point was that, since there is no
written model for AD sponsorship, the above is not prohibited,
there are no public/published guidelines, and we had best avoid
loading more meaning onto that track without considerably
clarifying what it means.

> And that raises my second issue:  we have lots of history that
> says keeping working groups around forever creates problems,
> so there are topic areas where the IETF work product is the
> foundation of the industry use of a protocol but there is no
> active WG.  What an AD should look for in community review of
> a document in some of those cases is well defined (in the URN
> NID case, for example, explicit review is called out by the
> urn-nid list; media type review, explicit review is called for
> by ietf-types list, etc.).  In others, you have the mailing
> list of the closed working group to go on (e.g. LDAPEXT for
> LDAP extensions) and potentially a directorate (LDAP has one
> such).  For standards-track document, ADs should (and I
> believe usually do) consult the relevant lists (even if there

This is fine.    I would identify most, probably all, of the
thing you list as byproducts of the standards track.   If they
were the only sorts of documents that got AD sponsorship for
publication, we would not be having this discussion (at least as
far as I'm concerned).  But AD sponsorship has also been
advocated for documents that would normally be handled as
independent submissions --that have no direct relationship to
work done in the IETF, ever-- just because it is faster and more
efficient.  I think that, if we try to attach "IETF product"
terminology to those sorts of things, we are in trouble.

Again, if there were clear criteria...

> We could, I believe, explicitly require an IETF Last Call for
> all Informational and Experimental documents that are AD
> sponsored; at the moment, it is a judgement call by the AD
> based on what level of community review something needs or has
> already received.  If we go that route, though, I think we
> have to be pretty aware of what it means for review cycles and
> delay.   

Yes.

> We've wandered off topic for this WG, though, and I suggest
> continuing in private email or on [email-masked].

But, if ADs are going to sponsor documents and that fact makes
them "IETF products", and the rules for IETF products are
different than those for other RFCs, it seems to me that is
still on-topic for this WG.

   john

---

From: Ted Hardie <[email-masked]>
Date: Mon, 31 Jul 2006 12:18:17 -0700

At 2:44 PM -0400 7/31/06, John C Klensin wrote:
>thing you list as byproducts of the standards track. 

They may be "byproducts" of the standards track, but neither
URN NIDs nor media type documents are required to be
standards track.  They are generally informational.
How do you tell the ones that are byproducts of previous IETF
standards action from others? 

Having a "reviewed by" section in the document (instead of
the write-up) might be sufficient--it could indicate when
something was reviewed by IETF-types, for example, by
Last Call, and by the IESG.  Checking that and the normative
references would give you a pretty good idea, but I am not
all sure it would be definitive.

>still on-topic for this WG.

I thought I understood Jorge to say that any document submitted
to the IETF would be treated under the same rules.  Documents submitted
to the IESG are (at least according to the Note Well as I understand it)
submitted to the IETF.  If the submission triggers that, rather than
the acceptance by an AD for sponsorship, then I think that we're in
a better position,  as we don't have to re-check the rules if it goes
to a WG, a review list/directorate, or last call.  To me, the need to be
able to request a document be reviewed in a working group argues
strongly that the same rules should apply to submissions made to the
IESG part of the IETF as to other parts of the IETF. 
			regards,
				Ted

---

From: John C Klensin <[email-masked]>
Date: Mon, 31 Jul 2006 18:04:21 -0400

--On Monday, 31 July, 2006 12:18 -0700 Ted Hardie
<[email-masked]> wrote:

>> > And that raises my second issue:  we have lots of history
>> > that says keeping working groups around forever creates
>>> problems, so there are topic areas where the IETF work
>...

I agree that it is hard or impossible today... and important
only if something makes it important.

> all sure it would be definitive.

That would work for me, although I'd share your concern about
whether it is definitive.  And that answer would depend, in
part, on why someone needed to know.

> to the IETF would be treated under the same rules.  Documents
> submitted to the IESG are (at least according to the Note Well
> as I understand it) submitted to the IETF.  If the submission
> triggers that, rather than the acceptance by an AD for
> sponsorship, then I think that we're in a better position,  as
> we don't have to re-check the rules if it goes to a WG, a
> review list/directorate, or last call.  To me, the need to be
> able to request a document be reviewed in a working group
> argues strongly that the same rules should apply to
> submissions made to the IESG part of the IETF as to other
> parts of the IETF.

Yes.  I think we agree.

    john